import {
	IAuthenticateGeneric,
	ICredentialType,
	INodeProperties,
} from 'n8n-workflow';

export class VikunjaApi implements ICredentialType {
	name = 'vikunjaApi';
	displayName = 'Vikunja API';
	documentationUrl = 'https://vikunja.io/docs/';
	properties: INodeProperties[] = [
		{
			displayName: 'API Key',
			name: 'apiKey',
			type: 'string',
			default: '',
		},
	];
	authenticate: IAuthenticateGeneric = {
		type: 'generic',
		properties: {
			headers: {
				Authorization: 'Bearer ={{$credentials.apiKey}}'
			}
		},
	};
}
